# Generated by Django 2.2.9 on 2019-12-31 20:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('fitness', '0006_auto_20191231_2000'),
    ]

    operations = [
        migrations.AddField(
            model_name='sessionlog',
            name='weight',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.CreateModel(
            name='SessionEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('repetitions_actual', models.PositiveIntegerField(blank=True, null=True)),
                ('duration_actual', models.PositiveIntegerField(blank=True, null=True)),
                ('exercise', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='events', related_query_name='event', to='fitness.ExerciseSet')),
                ('session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', related_query_name='event', to='fitness.SessionLog')),
            ],
        ),
    ]
